List Sites

get https://app.mk.io/api/v1/projects/:project_name/infra/sites

List sites on the specified project. To learn more about sites, read Site Concept.

Listing, Sorting and Filtering Sites

This endpoint returns the list of sites in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, displayName, id, labels, metadata/name, name, status/owner, updated, updatedBy

Filtering

There are two ways to filter the set of returned sites from this endpoint - the first is to use the $filter query parameter, the second is to use the $label_key and $label query parameters.

The $filter query parameter allows for sites to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, displayName, id, labels, metadata/name, name, status/locationName, status/owner, updated, updatedBy, updatedByEmail, updatedByName

$label_key and $label are specific to querying sites based on their labels. Labels are a set of key-value pairs that can be used to identify sites with any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of sites.

Examples:

?$top=10 - Returns only the first 10 sites from the list.

?$orderby=name desc - Sorts sites by name in descending order.

?$filter=name eq 'descriptive name' - Returns sites that match the provided name.

?$orderby=created desc - Sorts sites by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns sites created after January 1, 2021.

?$label=studio=paravalley - Returns sites with the label studio set to paravalley.

?$label=release-date~2023 - Returns sites with the label release-date set to a value that contains 2023.

?$label_key=studio&label_key=release-date - Returns sites with any value set for the studio label and the release-date label.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.
$label_key string Optional
Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels.
$label string Optional
Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.

Response

200 A list of sites
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsSiteGetSchemaRequired
A list of sites.
Show 4 propertiesHide 4 properties
kindstringRequired
The kind of record.
metadataobjectMetadataSchemaRequired
Site metadata.
Show 10 propertiesHide 10 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
displayNamestringOptional
The display name of the resource
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectSiteBodySpecRequired
Site specification.
Show 2 propertiesHide 2 properties
geolocationobjectGeolocationFragmentOptional
Optional geolocation data for the site.
Show 1 propertyHide 1 property
coordinateslist of doublesRequired0-2 items
Co-ordinates that describe the geolocation (ISO 6709), an array of two floating point numbers [latitude(North - South), longitude(East - West)]. Set an empty array to clear the geolocation.
routeslist of objectsRouteJsonFragmentOptional
The routes that connect the network to <glossary:site>s.
Show 2 propertiesHide 2 properties
defaultTransportobjectDefaultTransportOptional
Settings used to influence the <glossary:transport> that the system will automatically select when it needs to send <glossary:content> from one <glossary:flow> to another flow. The default transport settings from the route on which the content enters the network are used to select and configure the transport for the content. Read Default transports to learn more.
Show 2 propertiesHide 2 properties
cidrstringOptionalDefaults to
The IP address range to choose from when the system automatically creates transport settings for sending content from one flow to another. If a specific IP/URL (such as a public cloud IP or a fleet device IP) is required to send content between flows, then this setting will be ignored.
typeenumRequired
The type of <glossary:transport> to use for sending content from one flow to another flow.
Allowed values:AutoSRTListenerSRTCallerUDPRISTListener
networkNamestringRequiredpattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$
The name of the <glossary:network> connected to the site by this route.
statusobjectSiteBodyStatusRequired
Site status.
Show 3 propertiesHide 3 properties
locationDisplayNamestringOptional<=255 characters
Display name of the location of this site. This field is only relevant for <<glossary:SaaS site>>s. To learn more, read Sites.
locationNamestringOptionalpattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$
Name of the location of this site. This field is only relevant for <<glossary:SaaS site>>s. To learn more, read Sites.
ownerenumRequired
Indicates whether the site was automatically created by the system. System owned sites cannot be deleted, but they can be modified. To learn more, read System owned sites.
Allowed values:UserSystem

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code